<?php

namespace App\Controllers;

class ModulePreview extends BaseController
{
    public function show($moduleFile)
    {
        // Sanitize the module file name to avoid directory traversal.
        $moduleFile = basename($moduleFile);
        $filePath = APPPATH . 'Views/modules/' . $moduleFile;
        
        if (!file_exists($filePath)) {
            throw \CodeIgniter\Exceptions\PageNotFoundException::forPageNotFound();
        }
        
        // Return the module preview wrapper view, passing the module file name.
        return view('module_preview', ['moduleFile' => $moduleFile]);
    }
}
