<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="Permissions-Policy" content="clipboard-write=()">
    <title>App Builder</title>
    <link rel="stylesheet" href="<?= base_url('css/modules.css'); ?>?v=<?= time(); ?>">
    <!-- jQuery UI CSS -->
    <link rel="stylesheet" href="https://code.jquery.com/ui/1.13.2/themes/smoothness/jquery-ui.css">

    <link rel="stylesheet" href="<?= base_url('css/app_builder.css'); ?>?v=<?= time(); ?>">
    <link rel="icon" href="https://winslowapps.com/modular/ci4/public/favicon.ico" type="image/x-icon">
</head>
<body>

    <div class="app-builder-container">
<div id="module-selection" class="panel">
    <!-- Application Settings Section -->
    <div id="app-settings" class="panel-box">
        <h2>Application Settings</h2>
        <label for="app-name">Application Name:</label>
        <input type="text" id="app-name" placeholder="Enter application name">

        <label for="app-slug">Application URL Slug:</label>
        <input type="text" id="app-slug" placeholder="Enter URL slug (e.g., test-app)">

        <button id="save-app-btn">Save Application</button>
    </div>

    <!-- Modules Selection Section -->
    <div id="module-box" class="panel-box">
        <h2>Modules</h2>
        <ul id="module-list">
            <?php if (!empty($modules)): ?>
                <?php foreach ($modules as $module): ?>
                    <li class="module-item" 
                        data-file="<?= htmlspecialchars($module['file'], ENT_QUOTES, 'UTF-8'); ?>" 
                        data-name="<?= htmlspecialchars($module['name'], ENT_QUOTES, 'UTF-8'); ?>">
                        <?= htmlspecialchars($module['name'], ENT_QUOTES, 'UTF-8'); ?>
                    </li>
                <?php endforeach; ?>
            <?php else: ?>
                <li class="no-modules">No modules found.</li>
            <?php endif; ?>
        </ul>
    </div>
</div>




        <!-- Center: Preview Area -->
        <div id="preview-pane" class="panel">
            <h2>Preview</h2>
            <div id="preview-area">
                <!--<p>Drag and drop modules here</p>-->
            </div>
        </div>

        <!-- Right: Settings Panel -->
        <div id="settings-pane" class="panel">
            <h2 id="settings-title">Settings</h2>
            <div id="settings-area">
                <p>Select a module to adjust settings</p>
            </div>
        </div>
    </div>
    
    <!-- Include jQuery and jQuery UI before your custom JS files -->
    <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
    <script src="https://code.jquery.com/ui/1.13.2/jquery-ui.min.js"></script>
    
    
    <script src="<?= base_url('js/pageBreak.js'); ?>?v=<?= time(); ?>"></script>
    <script src="<?= base_url('js/app_builder_v2.js'); ?>?v=<?= time(); ?>"></script>
</body>
</html>
