<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Forgot Password</title>
    <link href="https://cdn.jsdelivr.net/npm/tailwindcss@latest/dist/tailwind.min.css" rel="stylesheet">
</head>
<body class="bg-gray-100 dark:bg-gray-900 flex items-center justify-center min-h-screen">
    <div class="max-w-md mx-auto bg-white dark:bg-gray-800 p-8 rounded-lg shadow-lg text-center">
        <h2 class="text-2xl font-bold text-gray-800 dark:text-gray-200">Forgot Password</h2>
        <p class="text-gray-600 dark:text-gray-400 mt-2">Enter your email to reset your password.</p>

        <?php if (session('errors')): ?>
            <div class="bg-red-200 text-red-800 p-2 my-4">
                <?php foreach (session('errors') as $error): ?>
                    <p><?= esc($error) ?></p>
                <?php endforeach; ?>
            </div>
        <?php endif; ?>

        <?php if (session('error')): ?>
            <div class="bg-red-200 text-red-800 p-2 my-4">
                <p><?= session('error') ?></p>
            </div>
        <?php endif; ?>

        <?php if (session('success')): ?>
            <div class="bg-green-200 text-green-800 p-2 my-4">
                <p><?= session('success') ?></p>
            </div>
        <?php endif; ?>

        <form action="<?= site_url('forgotPassword') ?>" method="post" class="mt-4">
            <div class="mb-4">
                <label class="block text-gray-700 dark:text-gray-300">Email Address</label>
                <input type="email" name="email" required class="w-full border rounded p-2">
            </div>
            <button type="submit" class="w-full bg-blue-500 text-white p-2 rounded hover:bg-blue-600">
                Send Reset Link
            </button>
        </form>

        <div class="mt-4">
            <a href="<?= site_url('login') ?>" class="text-blue-500 hover:underline">Back to Login</a>
        </div>
    </div>
</body>
</html>
