<?php
/*
Module Name: Title Page
Module Type: layout
Settings:
    title: text
    subtitle: text
    author: text
    top_logo: image
    bottom_left_logo: image
    bottom_right_logo: image
    logo_size: slider
*/
// Ensure default values if not provided.
if (!isset($settings)) { $settings = []; }
if (!isset($instanceId)) { $instanceId = ''; }
?>
<div class="title-page-container" id="<?= esc($instanceId) ?>">
    <!-- Top Logo -->
    <div class="top-logo">
        <img 
            id="topLogoPlaceholder" 
            src="<?= isset($settings['top_logo']) && !empty($settings['top_logo']) ? esc($settings['top_logo']) : base_url('logo-placeholder-image.png'); ?>" 
            alt="Logo Placeholder"
        />
    </div>

    <!-- Title & Subtitle Section -->
    <div class="title-section">
        <div class="title-line"></div>
        <h1 id="title"><?= isset($settings['title']) && !empty($settings['title']) ? esc($settings['title']) : 'Enter Title Here'; ?></h1>
        <h2 id="subtitle"><?= isset($settings['subtitle']) && !empty($settings['subtitle']) ? esc($settings['subtitle']) : 'Enter Subtitle Here'; ?></h2>
        <div class="title-line"></div>
        <h3 id="authorName"><?= isset($settings['author']) && !empty($settings['author']) ? 'By ' . esc($settings['author']) : 'By Author Name'; ?></h3>
    </div>

    <!-- Combined Bottom Section: Begin Button and Bottom Logos -->
    <div class="bottom-logos">
        
        <div class="logo-container left-logo">
            <img
                id="bottomLeftLogoPlaceholder"
                src="<?= isset($settings['bottom_left_logo']) && !empty($settings['bottom_left_logo']) ? esc($settings['bottom_left_logo']) : base_url('logo-placeholder-image.png'); ?>"
                alt="Left Logo"
            />
        </div>
        <button id="beginButton">Begin</button>
        <div class="logo-container right-logo">
            <img
                id="bottomRightLogoPlaceholder"
                src="<?= isset($settings['bottom_right_logo']) && !empty($settings['bottom_right_logo']) ? esc($settings['bottom_right_logo']) : base_url('logo-placeholder-image.png'); ?>"
                alt="Right Logo"
            />
        </div>
    </div>
</div>
